Bug 590249 - SELinux is preventing /usr/bin/python "name_connect" access.
SELinux is preventing /usr/bin/python "name_connect" access.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:a4b2ee705f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 07:03 EDT by kunal
Modified: 2010-05-10 03:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 03:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kunal 2010-05-08 07:03:21 EDT
Summary:

SELinux is preventing /usr/bin/python "name_connect" access.

Detailed Description:

SELinux denied access requested by yum. It is not expected that this access is
required by yum and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:object_r:ftp_port_t:s0
Target Objects                None [ tcp_socket ]
Source                        yum
Source Path                   /usr/bin/python
Port                          21
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Alert Count                   2
First Seen                    Thu 06 May 2010 03:22:13 PM IST
Last Seen                     Thu 06 May 2010 03:22:52 PM IST
Local ID                      ca0a4ad5-2cc7-4e48-9908-9b895130b7e6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273139572.389:97): avc:  denied  { name_connect } for  pid=8321 comm="yum" dest=21 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:ftp_port_t:s0 tclass=tcp_socket

node=(removed) type=SYSCALL msg=audit(1273139572.389:97): arch=40000003 syscall=102 success=no exit=-115 a0=3 a1=bfc03620 a2=b53f80 a3=bfc0388c items=0 ppid=8320 pid=8321 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="yum" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  catchall,yum,abrt_t,ftp_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= abrt_t ==============
#!!!! This avc is allowed in the current policy

allow abrt_t ftp_port_t:tcp_socket name_connect;
Comment 1 Miroslav Grepl 2010-05-10 03:54:49 EDT
#============= abrt_t ==============
#!!!! This avc is allowed in the current policy

allow abrt_t ftp_port_t:tcp_socket name_connect;   


Please run:

yum update

Note You need to log in before you can comment on or make changes to this bug.